! Solution 4/2
   program fibonacci
      integer :: limit, f1, f2, f3, i
      read *, limit
      f1 = 1
      if (limit>=1) then
         print *, f1
      end if
      f2 = 1
      if (limit>=2) then
         print *, f2
      end if
      do i = 3, limit
         f3 = f1+f2
         print *, f3
         f1 = f2
         f2 = f3
      end do
   end program fibonacci
